#include "Pythia8/Pythia.h"
using namespace Pythia8;

int main() {

  Pythia pythia;
  pythia.readString("Beams:eCM = 13000.");
  //pythia.readString("SoftQCD:all = on"); //one could also leave diffractive events out..
  pythia.readString("SoftQCD:nonDiffractive = on");
  pythia.init();

  int NEV = 100000;
  std::cout << "Number of events " << NEV << std::endl;

  for (int iEvent = 0; iEvent < NEV; ++iEvent) {
    if (!pythia.next()) continue;
    if( iEvent % 100 == 0)
      std::cout << "Event " << iEvent << std::endl;
    for (int i = 0; i < pythia.event.size(); ++i){
      if (abs(pythia.event[i].id()) == 13){
	std::cout << "Muon pt,eta,phi " 
                  << pythia.event[i].pT() << " " 
                  << pythia.event[i].eta() << " "
		  << pythia.event[i].phi() << std::endl;
      }
    }
  }
  return 0;
}
